From: Gustavo Noronha <kov@debian.org>
Subject: Show an alert if manual packages are not installed
Forwarded: not-needed
Reviewed-by: Ricardo Mones <mones@debian.org>
Last-Update: 2020-01-26

diff --git a/src/mainwindow.c b/src/mainwindow.c
index bc7e713..31f2759 100644
--- a/src/mainwindow.c
+++ b/src/mainwindow.c
@@ -904,7 +904,10 @@ static GtkItemFactoryEntry mainwin_entries[] =
 	{N_("/_Help"),				NULL, NULL, 0, "<Branch>"},
 	{N_("/_Help/_Manual"),			NULL, NULL, 0, "<Branch>"},
 	{N_("/_Help/_Manual/_English"),		NULL, manual_open_cb, MANUAL_LANG_EN, NULL},
+	{N_("/_Help/_Manual/_French"),          NULL, manual_open_cb, MANUAL_LANG_FR, NULL},
+	{N_("/_Help/_Manual/_German"),          NULL, manual_open_cb, MANUAL_LANG_DE, NULL},
 	{N_("/_Help/_Manual/_Japanese"),	NULL, manual_open_cb, MANUAL_LANG_JA, NULL},
+	{N_("/_Help/_Manual/_Spanish"),         NULL, manual_open_cb, MANUAL_LANG_ES, NULL},
 	{N_("/_Help/_FAQ"),			NULL, NULL, 0, "<Branch>"},
 	{N_("/_Help/_FAQ/_English"),		NULL, faq_open_cb, MANUAL_LANG_EN, NULL},
 	{N_("/_Help/_FAQ/_German"),		NULL, faq_open_cb, MANUAL_LANG_DE, NULL},
diff --git a/src/manual.c b/src/manual.c
index 4a54790..3f0da38 100644
--- a/src/manual.c
+++ b/src/manual.c
@@ -29,6 +29,7 @@
 #include "prefs_common.h"
 #include "manual.h"
 #include "utils.h"
+#include "alertpanel.h"
 
 static gchar *get_lang_str(ManualLang lang);
 
@@ -60,6 +61,21 @@ void manual_open(ManualLang lang)
 	lang_str = get_lang_str(lang);
 	if (!lang_str) return;
 
+	{ /* On Debian the manuals are on the sylpheed-doc package */
+		gchar *file_path;
+		file_path = g_strconcat(MANUALDIR, G_DIR_SEPARATOR_S,
+					lang_str, G_DIR_SEPARATOR_S,
+					MANUAL_HTML_INDEX, NULL);
+
+		if (!is_file_exist(file_path)) {
+			alertpanel_error("apt-get install sylpheed-doc");
+			g_free(file_path);
+			return;
+		}
+
+		g_free(file_path);
+	}
+
 	file_uri = g_strconcat("file://",
 #ifdef G_OS_WIN32
 			       get_startup_dir(),
@@ -90,6 +106,21 @@ void faq_open(ManualLang lang)
 	lang_str = get_lang_str(lang);
 	if (!lang_str) return;
 
+	{ /* On Debian the FAQs are on the sylpheed-doc package */
+		gchar *file_path;
+		file_path = g_strconcat(FAQDIR, G_DIR_SEPARATOR_S,
+					lang_str, G_DIR_SEPARATOR_S,
+					FAQ_HTML_INDEX, NULL);
+
+		if (!is_file_exist(file_path)) {
+			alertpanel_error("apt-get install sylpheed-doc");
+			g_free(file_path);
+			return;
+		}
+
+		g_free(file_path);
+	}
+
 	file_uri = g_strconcat("file://",
 #ifdef G_OS_WIN32
 			       get_startup_dir(),
